Update Phone Config
curl --request PATCH \
--url https://{api_endpoint}/v1/channels/phone/{config_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"security": {
"api_key": "<string>",
"client_secret": "<string>",
"secure_trunking": false,
"authentication": false,
"username": "<string>",
"password": "<string>",
"password_is_set": false
},
"attached_environments": [
{
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_name": "<string>",
"environment_name": "<string>"
}
],
"custom_invite_headers": [
{
"name": "<string>"
}
],
"put_caller_on_hold_on_transfer": true,
"send_provisional_response": true,
"error_handling": {
"fallback_sip_uri": "<string>",
"transfer_failure": {},
"call_failure": {}
},
"phone_numbers": [
{
"phone_number": "<string>",
"description": "<string>",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
'import requests
url = "https://{api_endpoint}/v1/channels/phone/{config_id}"
payload = {
"name": "<string>",
"description": "<string>",
"security": {
"api_key": "<string>",
"client_secret": "<string>",
"secure_trunking": False,
"authentication": False,
"username": "<string>",
"password": "<string>",
"password_is_set": False
},
"attached_environments": [
{
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_name": "<string>",
"environment_name": "<string>"
}
],
"custom_invite_headers": [{ "name": "<string>" }],
"put_caller_on_hold_on_transfer": True,
"send_provisional_response": True,
"error_handling": {
"fallback_sip_uri": "<string>",
"transfer_failure": {},
"call_failure": {}
},
"phone_numbers": [
{
"phone_number": "<string>",
"description": "<string>",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
security: {
api_key: '<string>',
client_secret: '<string>',
secure_trunking: false,
authentication: false,
username: '<string>',
password: '<string>',
password_is_set: false
},
attached_environments: [
{
agent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
environment_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
agent_name: '<string>',
environment_name: '<string>'
}
],
custom_invite_headers: [{name: '<string>'}],
put_caller_on_hold_on_transfer: true,
send_provisional_response: true,
error_handling: {fallback_sip_uri: '<string>', transfer_failure: {}, call_failure: {}},
phone_numbers: [
{
phone_number: '<string>',
description: '<string>',
agent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
environment_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
]
})
};
fetch('https://{api_endpoint}/v1/channels/phone/{config_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Phone channel global
Update Phone Config
Update Phone Config
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Body
application/json
Maximum string length:
64Maximum string length:
1024Available options:
sip_trunk, genesys_audio_connector Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful Response
⌘I

